#!/usr/bin/perl
###
#######################################################
#		The Comish v2.02
#     
#    		Created by Solution Scripts
# 		Email: solutions@solutionscripts.com
#		Web: http://solutionscripts.com
#
#######################################################
#
#
# COPYRIGHT NOTICE:
#
# Copyright 1999 Solution Scripts  All Rights Reserved.
#
# Selling the code for this program without prior written consent is
# expressly forbidden. In all cases
# copyright and header must remain intact.
#
######################################################

require "variables.pl";
require "the_comish.lib";

$version = "2.01";

print "Content-type: text/html\n\n";

unless ($over_bg) { $over_bg= "white"; }
unless ($table_bg) { $table_bg= "slateblue"; }
unless ($table_head_bg) { $table_head_bg= "MediumBlue"; }
unless ($text_color) { $text_color= "black"; }
unless ($link_color) { $link_color= "blue"; }
unless ($text_table) { $text_table= "white"; }
unless ($text_table_head) { $text_table_head= "white"; }
unless ($text_highlight) { $text_highlight= "red"; }
unless ($font_face) { $font_face= "arial"; }
unless ($font_size) { $font_size= "2"; }
unless ($alt1) { $alt1= "MediumSlateBlue"; }
unless ($alt2) { $alt2= "SlateBlue"; }
$cgiurl = $ENV{'SCRIPT_NAME'};

$INPUT{'action'} = $ENV{'QUERY_STRING'};

if ($INPUT{'action'}) {
	$INPUT{'options'} = $INPUT{'action'};
}

$time = time;
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($time);
$year +=1900;
$mon++;
$now = "$mon.$mday.$year";

@months = ('Blank','January','February','March','April','May','June','July','August','September','October','November','December');


read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);
	$value =~ tr/+/ /;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	if ($INPUT{$name}) { $INPUT{$name} = $INPUT{$name}.",".$value; }
	else { $INPUT{$name} = $value; }
}

&Header;

if ($INPUT{'edit'}) { &edit; }
elsif ($INPUT{'editfinal'}) { &editfinal; }
elsif ($INPUT{'acc_edit'}) { &acc_edit; }
elsif ($INPUT{'acc_daily'}) { &daily; }
elsif ($INPUT{'acc_paid'}) { &paid; }
elsif ($INPUT{'acc_purch'}) { &purch; }
elsif ($INPUT{'acc_del'}) { &del; }
elsif ($INPUT{'locate'}) { &locate; }
elsif ($INPUT{'new_pass'}) { &new_pass; }
elsif ($INPUT{'options'}) { &options; }
elsif ($INPUT{'del_final'}) { &del_final; }
elsif ($INPUT{'newaccount'}) {&newaccount; }
&main;
exit;

sub main {

print <<EOF;
<center>
<font size=+1 face=arail>Welcome to $comish_name<BR>Please choose one of the following:
<BR></FONT>
<FORM METHOD="POST" ACTION="$cgiurl">
<TABLE cellpadding=4 border=0 cellspacing=0 bgcolor=$table_bg>
<TR><TD>
<input type="Radio" name="action" value="new" checked>
</TD><TD><font size=$font_size face=$font_face color=$text_table>
Create a new account
</TD></TR>
<TR><TD>
<input type="Radio" name="action" value="edit">
</TD><TD><font size=$font_size face=$font_face color=$text_table>
Edit, check stats on existing account
</TD></TR>

<TR><TD>
<input type="Radio" name="action" value="name">
</TD><TD><font size=$font_size face=$font_face color=$text_table>
Lost account name
</TD></TR>

<TR><TD>
<input type="Radio" name="action" value="password">
</TD><TD><font size=$font_size face=$font_face color=$text_table>
Lost account password
</TD></TR>
<TR><TD colspan=2 align=center>
<input type="Submit" name="options" value=" Pick One ">
</TD></TR></TABLE>
</FORM>
<BR>

EOF
&Footer;
exit;
}

sub options {

	if ($INPUT{'action'} eq "edit") {
print <<EOF;
<CENTER>

<FORM METHOD=POST ACTION="$cgiurl">
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR bgcolor=$table_head_bg align=center>
<TD colspan=2>
<FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head><B>View Account Stats. and Info.</B><font SIZE=$font_size>
</TD></TR>
<TR align=center>
<TD align=right>
<FONT SIZE="$font_size" FACE="$font_face" color=$text_table>Account name:<BR>
</TD><TD align=left>
<INPUT TYPE="TEXT" NAME="account" VALUE="" SIZE=20>
</TD></TR>
<TR align=center>
<TD align=right>
<FONT SIZE="$font_size" FACE="$font_face" color=$text_table>Password:<BR>
</TD>
<TD align=left>
<INPUT TYPE="PASSWORD" NAME="password" VALUE="" SIZE=20>
</TD></TR>
<TR bgcolor=$table_head_bg align=center>
<TD colspan=2>
<INPUT TYPE="SUBMIT" NAME="acc_edit" VALUE="View Account">
</TD>
</TR>
</TABLE></FORM>
EOF
}
elsif ($INPUT{'action'} eq "new") {

print <<EOF;
<FORM METHOD=POST ACTION="$cgiurl">
EOF

if ($terms) {
	open (PASSWORD, "$path/data/rules.txt");
	@rules = <PASSWORD>; 
	close (PASSWORD);
		
print <<EOF;
<table border=0 width=60%>
<TR align=left>
<TD><font face=$font_face size=$font_size>
<B>Terms and Conditions</B><BR><BR>
@rules
<BR><BR></TD></TR><TR><TD bgcolor = $table_head_bg align=center>
<font face=$font_face size=$font_size color=$text_table_head>
<input type="Checkbox" name="agree"> -- <B>I Agree</B>
</TD></TR>
</TABLE><BR>
EOF
}
print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR  align=center>
<TD colspan=2  bgcolor=$table_head_bg>
<FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head><B>Join $comish_name</B>
</TD></TR>
<TR align=center>
<TD align=right>
<FONT SIZE="$font_size" FACE="$font_face" color=$text_table>Account name:<BR><i>No spaces</I>
</TD><TD align=left>
<INPUT TYPE="TEXT" NAME="account" VALUE="" SIZE=20>
</TD></TR>
EOF

&good_stuff;

print <<EOF;
<TR  align=center>
<TD colspan=2  bgcolor=$table_head_bg>
<INPUT TYPE="SUBMIT" NAME="newaccount" VALUE="Join Now">
</TD></TR>
</TABLE>
</FORM>
EOF
}
elsif ($INPUT{'action'} eq "name") {

print <<EOF;
<FORM METHOD="POST" ACTION="$cgiurl">
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR bgcolor=$table_head_bg align=center>
<TD ALIGN=CENTER ><font size=$font_size face=arial color=$text_table_head>Forget your account name?<BR>Enter you email address</TD></TR>
<TR><TD ALIGN=Center ><INPUT TYPE="TEXT" NAME="email" size=20></TD></TR>
<TR><TD ALIGN=center ><input type=submit name=locate value="  Locate my account  "></TD></TR>
</TABLE>
</FORM><BR>
EOF

}
elsif ($INPUT{'action'} eq "password") {

print <<EOF;
<FORM METHOD="POST" ACTION="$cgiurl">
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR bgcolor=$table_head_bg align=center>
<TD ALIGN=CENTER ><font size=$font_size face=$font_face color=$text_table_head>Forget your account password?<BR>Enter you account name and email address and we will send you a new password</TD> </TR>
<TR><TD ALIGN=Center ><font size=$font_size face=$font_face color=$text_table_head>Account: <INPUT TYPE="TEXT" NAME="account" size=20></TD></TR>
<TR><TD ALIGN=Center ><font size=$font_size face=$font_face color=$text_table_head>Email: <INPUT TYPE="TEXT" NAME="email" size=20></TD></TR>
<TR><TD ALIGN=center ><input type=submit name=new_pass value="  Lost my password  "></TD></TR>
</TABLE>
</FORM><BR>
EOF

}


&Footer;
exit;
}

########## GET NEW PASSWORD ##########
sub new_pass {

open (DAT,"<$path/data/accounts/$INPUT{'account'}.txt")  || &no_acc($INPUT{'account'});
if ($flock) {
	flock DAT, 2; 
}
@array = <DAT>;
close (DAT);

chomp ($array[0]);
if ($INPUT{'email'} eq $array[0]) {
# NEW PASS
# generate random password
	srand($time);
	$password ="";
	@passset = ('a'..'k', 'm'..'z', 'A'..'N', 'P'..'Z', '2'..'9');
	for ($i = 0; $i < 8; $i++) {
		$randum_num = int(rand($#passset + 1));
		$password .= @passset[$randum_num];
	}
	$newpass =crypt($password, ar);
	$newpass .="\n";
	$array[8] = $newpass;
	$array[0] .= "\n";

	open (DATA,">$path/data/accounts/$INPUT{'account'}.txt") || &error;
	if ($flock) {
		flock DATA, 2; 
	}
	print DATA @array;
	close (DATA);

$messages ="";
$toemail = $INPUT{'email'};
$new_id = $INPUT{'account'};

$messages .= "Here is the new password you requested from $comish_name\n\n";
$messages .= "Account: $INPUT{'account'}\n";
$messages .= "New Password: $password\n\n";
$messages .= "Edit your account and view stats at $url_to_cgi/add.cgi?edit\n\n";
$messages .= "Make sure your links point to $url_to_cgi/click.cgi?$new_id\n\n";
$subject = "$comish_name\n";

&send_email($toemail,$subject,$messages);


print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR><TD ALIGN=CENTER ><font size=$font_size face=$font_face color=$text_table>
The account was located and a new password has been set, the password was mailed to the email address you entered.
</TD> </TR>
</TABLE><BR><BR>
EOF
&Footer;
exit;


}
else {
print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR><TD ALIGN=CENTER ><font size=$font_size face=$font_face color=$text_table>We are sorry, the email address you entered was different from the one we had on record for the account <font color=red>$INPUT{'account'}</FONT><BR><BR>
Therefore we can not send you the new password....</TD> </TR>
</TABLE><BR><BR>
EOF
&Footer;
exit;
}

}

########## LOCATE ACCOUNT ##########
sub locate {

opendir (DIR, "$path/data/accounts");
@files = grep { /.txt/ } readdir(DIR);
close (DIR); 

$found=0;
foreach $acc(@files) {
	open (DAT,"<$path/data/accounts/$acc");
	if ($flock) {
		flock DAT, 2; 
	}
	@array = <DAT>;
	close (DAT);

	$acc =~ s/\.txt//gi;

	chomp ($array[0]);
	if ($INPUT{'email'} eq $array[0]) {

		$messages ="";
		$toemail = $INPUT{'email'};

		$messages .= "We found your account at $comish_name\n\n";
		$messages .= "Account: $INPUT{'account'}\n\n";
		$messages .= "Edit your account and view stats at $url_to_cgi/add.cgi?edit\n\n";
		$messages .= "Make sure your links point to $url_to_cgi/click.cgi?$acc\n\n";
		$subject = "$comish_name\n";

		&send_email($toemail,$subject,$messages);
		$found=1;
		next;
	}
}
if ($found) {
print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR><TD ALIGN=CENTER ><font size=$font_size face=$font_face color=$text_table>
The account was located and due to security reasons,<BR>the name and info will be mailed to the email address you entered.
</TD> </TR>
</TABLE><BR><BR>
EOF
&Footer;
exit;
}
else {
print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR><TD ALIGN=CENTER ><font size=$font_size face=$font_face color=$text_table>We are sorry, we could not find an account under the email address you entered.<BR><BR>
</TD> </TR>
</TABLE><BR><BR>
EOF
&Footer;
exit;
}

}

########## NEW ACCOUNT ##########
sub newaccount {

$account = $INPUT{'account'};
$account = "\L$account\E";

@out = split(//,$account);
$a=0;
foreach $char (@out) {
	$a++;
	unless ($char =~ /[a-z0-9]/) {
print <<EOF;
<BR>
<table cellpadding=5 border=1 cellspacing=0 bgcolor=$table_bg>
<TR><TD><font FACE=$font_face SIZE=$font_size color=$text_table>
You entered an invalid account name<BR>
Make sure you only enter letters and/or numbers<BR>
and that it is only 3 to 12 characters
</TD></TR></TABLE>
EOF
		&Footer;
		exit;
	}
}

if ($a < 3 || $a > 12) {
print <<EOF;
<BR>
<table cellpadding=5 border=1 cellspacing=0 bgcolor=$table_bg>
<TR><TD><font FACE=$font_face SIZE=$font_size color=$text_table>
You entered an invalid account name<BR>
Make sure you only enter letters and/or numbers<BR>
and that it is only 3 to 12 characters
</TD></TR></TABLE>
EOF
	&Footer;
	exit;
}


if ( ( -e "$path/data/accounts/$account.txt" ) || ( -e "$path/data/temp/$account.txt" ) ) {
	$error .= "The account name $account has already been taken<BR><BR>";
}
if ($terms) {
	unless ($INPUT{'agree'}) {
		$error .= "You must agree to the terms and conditions listed, then check the I agree checkbox.<br><BR>";
	}
}
unless ($INPUT{'name'}) {
	$error .= "You must enter your name<br><BR>";
}
unless ($INPUT{'url'}=~/\http:/)   {
	$error .= "You have entered an invalid url for you site<br><BR>\n";
}
unless ($INPUT{'email'}=~/\@/)   {
	$error .= "You have entered an invalid e-mail address<br><BR>\n";
}
unless ($INPUT{'pass'} eq $INPUT{'pass1'}) {
	$error .= "The two passwords you entered must be the same<br><BR>\n";
}

if ($error) {
print <<EOF;
<BR>
<table cellpadding=5 border=1 cellspacing=0 bgcolor=$table_bg>
<TR><TD><font FACE=$font_face SIZE=$font_size color=$text_table>
<B>Please go back and fix the following</B><BR><BR>
$error
</TD></TR></TABLE>
EOF
	&Footer;
	exit;
	}
$password = crypt($INPUT{'npassword'}, ar);

$temdir = "temp";
unless ($confirm_acc) {
	$temdir = "accounts";
}



open( PAGE, ">$path/data/$temdir/$account.txt") || &error("Can not open $path/data/$temdir/$account.txt for writing");
if ($flock) {
	flock PAGE, 2;
}
print PAGE "$INPUT{'email'}\n";
print PAGE "$INPUT{'url'}\n";
print PAGE "$INPUT{'comp'}\n";
print PAGE "$INPUT{'name'}\n";
print PAGE "$INPUT{'address'}\n";
print PAGE "$INPUT{'city'}\n";
print PAGE "$INPUT{'state'}\n";
print PAGE "$INPUT{'tax'}\n";
print PAGE "$password\n";
print PAGE "$time\n";
print PAGE "$time\n";
print PAGE "0\n0\n0\n0\n";
print PAGE "$INPUT{'country'}\n\n";
close PAGE;


if ($confirm_acc) {

print <<EOF;
<BR>
<table cellspacing =1 bgcolor=$table_bg border=1 cellpadding =8>
<TR align=center><TD><FONT SIZE="$font_size" FACE="$font_face" color=$text_table>
Thank you for joining $comish_name<BR><BR>

Your account first must be confirmed before you<BR>
can become an affliate with the $comish_name<BR><BR>
You will recieve email notification if your account is confirmed or denied 
</TD></TR></TABLE>
EOF
}
else {

	open(LIST,"$path/data/welcome_html.txt");
	@welcs = <LIST>;
	close(LIST);

print <<EOF;
<BR>
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR align=center><TD><FONT SIZE="$font_size" FACE="$font_face" color=$text_table>
<B>Thank you for joining $comish_name</B><BR><BR>

Your information is as follows:<BR>
Name -- $INPUT{'name'}<BR>
Email -- $INPUT{'email'}<BR>
Account Name -- $account<BR><BR>

@welcs

<BR><BR>
Make sure all you refer everyone to this link:<BR>
<a href="$url_to_cgi/click.cgi?$account" target-"_blank">$url_to_cgi/click.cgi?$account</A><BR><BR>
To check your account stats, or change user info, use this url:<BR>
<A href= "$url_to_cgi/add.cgi?edit">$url_to_cgi/add.cgi</A><BR>
</TD></TR></TABLE>
EOF

	open(LIST,"$path/data/welcome.txt");
	@confirmit = <LIST>;
	close(LIST);
	
	$subject = "$comish_name\n";
	
	$message .= "Welcome to $comish_name, your account has been approved\n\n";
	$message .= "Your information is as follows:\n";
	$message .= "---------------------------------------\n";
	$message .= "Name -- $INPUT{'name'}\n";
	$message .= "Email -- $INPUT{'email'}\n";
	$message .= "Account Name -- $account\n\n";
	$message .= "For all you account info please go to\n";
	$message .= "$url_to_cgi/add.cgi\n\n";
	$message .= "Make sure all banners and links go to:\n";
	$message .= "$url_to_cgi/click.cgi?$account\n";
	$message .= "or you will not recieve proper credit for the click\n\n";
	
	foreach $line(@confirmit) {
		$message .= "$line";
	}
	
	$message .= "\n\n";
	
	&send_email($INPUT{'email'},$subject,$message);
}
&Footer;
exit;
}

########## EDIT ACCOUNT INFO ##########
sub edit {
$account = $INPUT{'function'};

open (PASSWORD, "$path/data/accounts/$account.txt") || &error("Error opening $account account");
if ($flock){
flock PASSWORD,2;
}
@accounts = <PASSWORD>;
close (PASSWORD);


print <<EOF;
<CENTER>
<table cellspacing =1 bgcolor =$table_bg border=1 cellpadding =3>
<TR bgcolor=$table_head_bg align=center><TD colspan=10><FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head>Information for account: <FONT COLOR="$text_highlight">$account</FONT>
</TD></TR></TABLE><BR><BR>

<FORM METHOD=POST ACTION="$cgiurl">
<input type="Hidden" name="account" value="$account">
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>

EOF

&good_stuff;

print <<EOF;

<TR align=center>
<TD align=right>
<FONT SIZE="$font_size" FACE="$font_face"><B>Current Password</B>:
</TD>
<TD align=left>
<INPUT TYPE="PASSWORD" NAME="password" VALUE="" SIZE=20>
</TD>
</TR>

<TR align=center>
<TD colspan=2>
<INPUT TYPE="SUBMIT" NAME="editfinal" VALUE="Edit Account">
</TD>
</TR>

</TABLE>

<INPUT TYPE="HIDDEN" NAME="function" VALUE="$account">
</FORM>
EOF

&Footer;
exit;
}



########## EDIT ACCOUNT ##########
sub acc_edit {
$account = $INPUT{'account'};
&check_pass;
&account_info($account,$_[0],'gen');

&Footer;
exit;
}


########## SHOW DAILY STATS ##########
sub daily {
$account = $INPUT{'account'};
&check_pass;
$all = 0;
if ($INPUT{'month_daily'} eq 'all') {
	$all = 1;
}
else {
	@dates = split(/\//,$INPUT{'month_daily'});
}

&stats_daily('gen',$account,$all,$dates[0],$dates[1]);

&Footer;
exit;
}

########## PURCHASE LOG ##########
sub purch {
$account = $INPUT{'account'};
&check_pass;
$all = 0;
if ($INPUT{'month_purch'} eq 'all') {
	$all = 1;
}
else {
	@dates = split(/\//,$INPUT{'month_purch'});
}

&stats_purchase('gen',$account,$all,$dates[0],$dates[1]);

&Footer;
exit;
}

########## PAYMENT LOG ##########
sub paid {
$account = $INPUT{'account'};
&check_pass;
$all = 0;
if ($INPUT{'month_paid'} eq 'all') {
	$all = 1;
}
else {
	@dates = split(/\//,$INPUT{'month_paid'});
}

&stats_payment('gen',$account,$all,$dates[0],$dates[1]);

&Footer;
exit;
}



########## EDIT FINAL ##########

sub editfinal {

$account = $INPUT{'function'};
&check_pass;
&edit_info_final($account,'gen');
$INPUT{'password'} = $INPUT{'npassword'};
&acc_edit("$account updated");
exit;
}


########## PRELIM DELETE ACCOUNT ######

sub del {

$account = $INPUT{'function'};
&check_pass;

print <<EOF;
<FORM METHOD=POST ACTION="$cgiurl">
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =3>
<TR bgcolor=$table_head_bg align=center><TD colspan=10><FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head>Enter your password<BR>to confirm deletion of <BR>
account: <FONT COLOR="$text_highlight"><B>$account</B></FONT></FONT>
<BR><BR>
<INPUT TYPE="HIDDEN" NAME="function" VALUE="$account">
<INPUT TYPE="PASSWORD" NAME="pass" VALUE="">
<BR><BR>
<INPUT TYPE="SUBMIT" NAME="del_final" VALUE="Delete $account">
</TD></TR>
</TABLE></FORM>

EOF
&Footer;
exit;

}

sub del_final {

$account = $INPUT{'account'};
$checkpass;

unlink("$path/data/accounts/$account.txt");
unlink("$path/data/daily/$account.txt");
unlink("$path/data/logs/$account.txt");
unlink("$path/data/paid/$account.txt");
unlink("$path/data/purch/$account.txt");
unlink("$path/data/awaiting/$account.txt");

print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =3>
<TR bgcolor=$table_head_bg align=center><TD colspan=10><FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head>Account: <FONT COLOR="$text_highlight">$account</FONT> deleted
</TD></TR>

</TABLE>

EOF
&Footer;
exit;

}

########## HEADER ##########
sub Header {

print <<EOF;

<HTML><HEAD><TITLE>$comish_name</TITLE></HEAD>
<BODY BGCOLOR=$over_bg TEXT=$text_color LINK=$link_color VLINK=$link_color ALINK=$link_color>
EOF
open (HEAD, "$path/data/header.txt");
@head = <HEAD>;
close (HEAD);
foreach $line (@head) {
	print "$line";
}
print "<br><BR><center>";
}

########## FOOTER ##########
sub Footer {

print HTML"</center>";
open (HEAD, "$path/data/footer.txt");
@foot = <HEAD>;
close (HEAD);
foreach $line (@foot) {
	print "$line";
}
if ($credit) {
	print "<center><BR><BR><font SIZE=$font_size>$comish_name powered by <a href=\"http://solutionscripts.com\">The Comish</a> v$version, From <a href=\"http://solutionscripts.com\">Solution Scripts</a><br><br>";
}
print "</BODY></HTML>\n";
}

########## NO ACCOUNT ##########
sub no_acc{
$account = $_[0] ;
print <<EOF;
<table cellspacing =1 bgcolor =$table_bg border=1 cellpadding =8>
<TR align=center><TD><FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head><B>No such account as</B><BR><BR>
<font color=$text_highlight>$account</font>
</FONT></TD></TR></TABLE>
EOF
&Footer;
exit;
}

########## ERROR MESSAGE ##########
sub error{
$account = $_[0] ;
print <<EOF;
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR bgcolor=$table_head_bg align=center><TD><FONT SIZE="$font_size" FACE="$font_face" color=$text_table_head><B>Fatal Error</B><BR><BR>
<font color=$text_highlight>$account -- $!</font>
</FONT></TD></TR></TABLE>
EOF
&Footer;
exit;
}

########## CHECK ACCOUNT PASSWORD ##########
sub check_pass {

unless ($INPUT{'password'}) {
print <<EOF;
<CENTER>
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR align=center><TD colspan=10><FONT SIZE="$font_size" FACE="$font_face">You must enter a password to edit</FONT>
</TD></TR></TABLE>
EOF
	&Footer;
	exit;
}


open (PASSWORD, "$path/data/accounts/$INPUT{'account'}.txt") || &no_acc($INPUT{'account'});
if ($flock) {
	flock PASSWORD,2;
}
@accounts = <PASSWORD>;
close (PASSWORD);
chomp($accounts[8]);

$password = crypt($INPUT{'password'}, $accounts[8]);

unless($password eq $accounts[8]) {

print <<EOF;
<CENTER>
<table cellspacing =1 bgcolor = $table_bg border=1 cellpadding =8>
<TR align=center><TD colspan=10><FONT SIZE="$font_size" FACE="$font_face" color=$text_table><B>Access Denied</B><BR><BR>Incorrect Password</FONT>
</TD></TR></TABLE>
EOF
	&Footer;
	exit;
}
}
